#include "network_manager.hh"
#include "line_factory.hh"


namespace network_config
{

  ConfigManager::ConfigManager () : kvtree::TreeManager ()
  {
    lfi.push_back (new DeComment ());
    lfi.push_back (new InterfaceSectionInstance ());
    lfi.push_back (new AddressSubsectionInstance ());
    lfi.push_back (new WirelessSubsectionInstance ());
    lfi.push_back (new PPPSubsectionInstance ());
   

    // plugins should be sorted here

    lfi.push_back (new SortRemainingInstance ());
  }

  void ConfigManager::CleanAll ()
  {
    for (unsigned int i = 0; i < root -> childs.size(); i++)
      delete root -> childs[i];
    root -> childs.clear();
    current = root;
  }
  

}

