#include <kwin.h>

#include <iostream>

#include "netconf_app.hh"
#include "main_window.hh"
#include "profile_manager.hh"
#include "device_manager.hh"
#include "pixmaps.hh"
#include "netconf_tray.hh"

NetconfApp::NetconfApp ()
  : KUniqueApplication ()
{
  std::cout << "new netconf application" << std::endl;
  profile_manager = new ProfileManager ();
  device_manager = new DeviceManager ();
  
  mainwin = new MainWindow ( i18n("network config"), this );
  tray = new NetconfTray (mainwin, profile_manager);
  connect( tray, SIGNAL(quitSelected()), this, SLOT(slotHandleQuit()));
  tray -> show ();
}

int NetconfApp::newInstance ()
{
  std::cout << "new instance" << std::endl;

  args = KCmdLineArgs::parsedArgs();
  if (args -> isSet ("silent") == 0)
    ShowDialog ();

  return 0;
}

void NetconfApp::ShowDialog ()
{
   // de-iconify and raise the window to the top of the current desktop
    mainwin -> show ();
    KWin::setOnDesktop (mainwin -> winId() , KWin::currentDesktop());
    KWin::deIconifyWindow (mainwin -> winId());
    mainwin -> raise ();
}

void NetconfApp::slotHandleQuit()
{
  std::cout << "request to terminate, exiting..." << std::endl;
  quit ();
}
